Bug 235112 - textproc/retext: Invalid .desktop file
Summary: textproc/retext: Invalid .desktop file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-21 15:59 UTC by Mateusz Piotrowski
Modified: 2019-02-11 21:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (arved)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2019-01-21 15:59:26 UTC
The "Exec" field in /usr/local/share/applications/me.mitya57.ReText.desktop is set to "retext %F". I believe that it should be set to something like "retext.py %F" instead. Otherwise, a user may not start the program from a desktop menu.
Comment 1 Tilman Keskinoz freebsd_committer 2019-01-28 09:41:12 UTC
I think the right fix would be to create bin/retext

It was removed by yuri's change I think.
Comment 2 commit-hook freebsd_committer 2019-02-11 21:15:05 UTC
A commit references this bug:

Author: arved
Date: Mon Feb 11 21:14:32 UTC 2019
New revision: 492737
URL: https://svnweb.freebsd.org/changeset/ports/492737

Log:
  Update to a snapshot from master.

  This should fix the wrong desktop file entry.

  Add missing dependencies while here

  PR:		235112
  Reported by:	0mp
  Obtained from:	https://github.com/retext-project/retext/issues/425

Changes:
  head/textproc/retext/Makefile
  head/textproc/retext/distinfo
  head/textproc/retext/files/
Comment 3 Tilman Keskinoz freebsd_committer 2019-02-11 21:15:16 UTC
Thanks for your report. The issue should be fixed now.